Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Test testsuites that have been built with Test::Builder
Name:		perl-Test-Builder-Tester
Version:	1.01
Release:	3
License:	GNU/GPL 
URL:		http://search.cpan.org/~markf/Test-Builder-Tester
Group:		Development/Perl
Source0:	Test-Builder-Tester-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

%define		perlepoch	3
%define		perlversion	5.8.8

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-Module-Build
BuildRequires:	perl-Test-Simple


%description
Test testsuites that have been built with Test::Builder
For more details see: http://search.cpan.org/~markf/Test-Builder-Tester

%post
ldconfig

%postun
ldconfig

%prep
%setup -n Test-Builder-Tester-%{version}

%build
perl Build.PL destdir=%{buildroot}
./Build destdir=%{buildroot}

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

if [ -f "$RPM_BUILD_ROOT%_libdir/perl5/5.8.7/i686-linux/perllocal.pod" ]; then
	rm -f $RPM_BUILD_ROOT%_libdir/perl5/5.8.7/i686-linux/perllocal.pod
fi

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 1.01-3
- Rebuild against perl-5.8.8
* Mon Dec 05 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.01-2
- Rebuild against perl-5.8.7
* Fri Dec 02 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.01-1
- Initial Release  
